#-------------------------------------------------
#
# Project created by QtCreator 2018-08-20T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets concurrent

TARGET   = coregarage
TEMPLATE = app

VERSION  = 2.8.0

# Library section
unix:!macx: LIBS += -lcprime
LIBS    += -L/usr/lib -larchiveqt5

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += "HAVE_POSIX_OPENPT"

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# Disable Debug on Release
CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        target.path = $$BINDIR

        desktop.path  = $$PREFIX/share/applications/
        desktop.files = "coregarage.desktop"

        icons.path  = /usr/share/icons/hicolor/scalable/apps/
        icons.files = coregarage.svg

        INSTALLS += target icons desktop
}


FORMS += \
    coregarage.ui

HEADERS += \
    coregarage.h

SOURCES += \
    main.cpp \
    coregarage.cpp
